langcode: en
status: true
dependencies:
  config:
    - field.field.media.image.field_media_image
    - field.field.media.svg_image.field_media_svg_image
    - image.style.canvas_parametrized_width
    - media.type.image
    - media.type.svg_image
  module:
    - file
    - media
    - media_library
    - options
  theme:
    - eureka
label: 'Quick link item'
id: sdc.eureka.quick-link-item
source: sdc
source_local_id: 'eureka:quick-link-item'
provider: eureka
active_version: e6d8925eba987844
versioned_properties:
  active:
    settings:
      prop_field_definitions:
        quick_link_item_icon_custom:
          required: false
          field_type: entity_reference
          field_storage_settings:
            target_type: media
          field_instance_settings:
            handler: 'default:media'
            handler_settings:
              target_bundles:
                image: image
                svg_image: svg_image
          field_widget: media_library_widget
          default_value: {  }
          expression: 'ℹ︎entity_reference␟entity␜[␜entity:media:image␝field_media_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}][␜entity:media:svg_image␝field_media_svg_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}]'
        quick_link_item_icon_name:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: document
          expression: ℹ︎list_string␟value
        quick_link_item_heading:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Ofset report'
          expression: ℹ︎string␟value
        quick_link_item_summary:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Lorem ipsum dolor sit amet'
          expression: ℹ︎string␟value
        quick_link_item_link_text:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Download report here'
          expression: ℹ︎string␟value
        quick_link_item_link_url:
          default_value:
            -
              value: 'https://zoocha.com'
          expression: ℹ︎string␟value
          field_instance_settings: {  }
          field_storage_settings: {  }
          field_type: string
          field_widget: string_textfield
          required: false
    fallback_metadata:
      slot_definitions: {  }
  e4ea66270112a1b5:
    settings:
      prop_field_definitions:
        quick_link_item_icon_custom:
          required: false
          field_type: entity_reference
          field_storage_settings:
            target_type: media
          field_instance_settings:
            handler: 'default:media'
            handler_settings:
              target_bundles:
                image: image
                svg_image: svg_image
          field_widget: media_library_widget
          default_value: {  }
          expression: 'ℹ︎entity_reference␟entity␜[␜entity:media:image␝field_media_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}][␜entity:media:svg_image␝field_media_svg_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}]'
        quick_link_item_icon_name:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: document
          expression: ℹ︎list_string␟value
        quick_link_item_heading:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Ofset report'
          expression: ℹ︎string␟value
        quick_link_item_summary:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Lorem ipsum dolor sit amet'
          expression: ℹ︎string␟value
        quick_link_item_link_text:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Download report here'
          expression: ℹ︎string␟value
        quick_link_item_link_url:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'https://zoocha.com'
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions: {  }
  e820c5537c8cd945:
    settings:
      prop_field_definitions:
        quick_link_item_heading:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Ofset report'
          expression: ℹ︎string␟value
        quick_link_item_icon:
          required: false
          field_type: entity_reference
          field_storage_settings:
            target_type: media
          field_instance_settings:
            handler: 'default:media'
            handler_settings:
              target_bundles:
                image: image
                svg_image: svg_image
          field_widget: media_library_widget
          default_value: {  }
          expression: 'ℹ︎entity_reference␟entity␜[␜entity:media:image␝field_media_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}][␜entity:media:svg_image␝field_media_svg_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}]'
        quick_link_item_link_text:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Download report here'
          expression: ℹ︎string␟value
        quick_link_item_link_url:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'https://zoocha.com'
          expression: ℹ︎string␟value
        quick_link_item_summary:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Lorem ipsum dolor sit amet'
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions: {  }
